summaryrefslogtreecommitdiffstats
path: root/installs
diff options
context:
space:
mode:
authorw.otsuka <w.otsuka>2004-09-23 17:50:33 +0000
committerw.otsuka <w.otsuka>2004-09-23 17:50:33 +0000
commit682019cea1700fa5a771b1d3ae2f2506b52a06be (patch)
tree40162d8b94478108dbbae061f66a0b498561733e /installs
parent9bd9e7a0d2cb0641b2c008e2e801f9de79213674 (diff)
downloadtog-pegasus-682019cea1700fa5a771b1d3ae2f2506b52a06be.zip
tog-pegasus-682019cea1700fa5a771b1d3ae2f2506b52a06be.tar.gz
tog-pegasus-682019cea1700fa5a771b1d3ae2f2506b52a06be.tar.xz
BUG#: 2075
TITLE: tog-pegasus rpm needs to setup access to binaries and man pages DESCRIPTION: Added script settogpath which adds /opt/tog-pegasus/bin and /opt/tog-pegasus/sbin to PATH in /etc/profile. This fix also sets the MANPATH in /etc/profile.
Diffstat (limited to 'installs')
-rwxr-xr-xinstalls/scripts/settogpath19
1 files changed, 19 insertions, 0 deletions
diff --git a/installs/scripts/settogpath b/installs/scripts/settogpath
new file mode 100755
index 0000000..67c51a9
--- /dev/null
+++ b/installs/scripts/settogpath
@@ -0,0 +1,19 @@
+#!/bin/bash
+# Set global PATH and MANPATH for tog-pegasus
+
+echo "Executing this script will add the tog-pegasus binary directories,"
+echo "/opt/tog-pegasus/bin and /opt/tog-pegasus/sbin, to the global $PATH. "
+echo "It will also add the tog-pegasus man page directory,"
+echo "/opt/tog-pegasus/share/man, to the global $MANPATH."
+read -r -p "Do you want to continue? (y/n) " ANSWER
+if (test $ANSWER = 'y') || (test $ANSWER = 'Y'); then
+ echo "export PATH=\$PATH:/opt/tog-pegasus/bin:/opt/tog-pegasus/sbin" >> /etc/profile
+ echo "if test -x /usr/bin/manpath; then" >> /etc/profile
+ if test -f /etc/redhat-release; then
+ echo " MANPATH=\`/usr/bin/manpath -w\`" >> /etc/profile
+ else
+ echo " MANPATH=\`/usr/bin/manpath -q\`" >> /etc/profile
+ fi
+ echo " export MANPATH=\$MANPATH:/opt/tog-pegasus/share/man" >> /etc/profile
+ echo "fi" >> /etc/profile
+fi